Bug 60 - in.rexecd doesn't work with PAM securetty authentication
Summary: in.rexecd doesn't work with PAM securetty authentication
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rsh   
(Show other bugs)
Version: 5.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-12 18:53 UTC by dudek
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-26 23:49:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dudek 1998-11-12 18:53:42 UTC
As shipped, in.rexecd is disabled in /etc/inetd.conf.  If
you enable it, rexec will still not work because
/etc/pam.d/rexec tries to authenticate using securetty PAM
authentication (as it should), but in.rexecd does not set
the PAM_TTY item.  I believe this bug exists in RedHat 5.2
as well.  The fix is to add a call to:

(void) pam_set_item (pamh, PAM_TTY, "tty");

just before calling pam_authenticate.

Comment 1 Jeff Johnson 1999-03-26 23:49:59 UTC
Should be fixed in rsh-0.10-23.


Note You need to log in before you can comment on or make changes to this bug.